## gcc-mingw-w64 7

=== debian/changelog ===
gcc-mingw-w64 (7) unstable; urgency=low

  * When upgrading from versions where /usr/share/doc/gcc-mingw-w64 is a
    directory, force its replacement with a symlink (Closes: #683617).

 -- Stephen Kitt <steve@sk2.org>  Wed, 08 Aug 2012 08:21:56 +0200
