=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Source: gcc-mingw-w64
 Section: devel
 Priority: extra
-Maintainer: Stephen Kitt <steve@sk2.org>
-DM-Upload-Allowed: yes
+Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: autotools-dev,
                binutils-mingw-w64 (>= 2.21.51.20110523),
                debhelper (>= 7.0.50~),
@@ -15,14 +14,14 @@
                libgmp-dev,
                libmpc-dev (>= 0.8.0),
                libmpfr-dev (>= 2.3.2),
-               lsb-release,
-               mingw-w64-dev (>= 1.0),
+               mingw-w64-i686-dev,
+               mingw-w64-x86-64-dev,
                xz-utils,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/gcc/
-Vcs-Git: git://git.debian.org/collab-maint/gcc-mingw-w64.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gcc-mingw-w64.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/gcc-mingw-w64.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcc-mingw-w64.git;a=summary
 
 Package: gcc-mingw-w64
 Architecture: all
@@ -39,7 +38,7 @@
 
 Package: gcc-mingw-w64-i686
 Architecture: any
-Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev | mingw-w64-dev, gcc-mingw-w64-base (= ${binary:Version}),
+Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev, gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: gcc-4.6 (= ${gcc:Version})
@@ -57,7 +56,7 @@
 
 Package: gcc-mingw-w64-x86-64
 Architecture: any
-Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev | mingw-w64-dev, gcc-mingw-w64-base (= ${binary:Version}),
+Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev, gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: gcc-4.6 (= ${gcc:Version})
@@ -293,3 +292,6 @@
  the GNU Compiler Collection (gcc).
  .
  This package contains the Ada compiler, supporting
+ cross-compiling to 64-bit MinGW-w64 targets.
+
+Package: gcc-mingw32
