## gcc-mingw-w64 10

=== debian/changelog ===
gcc-mingw-w64 (10) unstable; urgency=low

  * Build with gcc 4.8:
    - stringstream ignores _GLIBCXX_DEBUG (Closes: #703935);
    - update debian/copyright using that from gcc-4.8;
    - switch to libcloog-isl-dev.
  * Enable POSIX threads support using winpthreads (Closes: #697220).
  * Enable OpenMP support (Closes: #571773).
  * Drop the transitional gcc-mingw32 package.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Nov 2013 00:04:30 +0100
