=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: autotools-dev,
                binutils-mingw-w64 (>= 2.21.51.20110523),
                debhelper (>= 7.0.50~),
-               gcc-4.6 (>= 4.6.2-2),
-               gcc-4.6-source (>= 4.6.2-2),
-               gnat-4.6,
-               libcloog-ppl-dev,
+               g++-4.8,
+               gcc-4.8-source,
+               gnat-4.8,
+               libcloog-isl-dev,
                libelf-dev,
                libgmp-dev,
                libmpc-dev (>= 0.8.0),
                libmpfr-dev (>= 2.3.2),
-               mingw-w64-i686-dev,
-               mingw-w64-x86-64-dev,
+               mingw-w64-i686-dev (>= 3.0~svn5915),
+               mingw-w64-x86-64-dev (>= 3.0~svn5915),
                xz-utils,
                zlib1g-dev
 Standards-Version: 3.9.4
@@ -27,7 +27,7 @@
 Architecture: all
 Depends: gcc-mingw-w64-i686, gcc-mingw-w64-x86-64, ${misc:Depends}
 Recommends: g++-mingw-w64, gfortran-mingw-w64, gnat-mingw-w64
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -41,11 +41,11 @@
 Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev, gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Conflicts: gcc-mingw-w64-bootstrap
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU C compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -59,11 +59,11 @@
 Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev, gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Conflicts: gcc-mingw-w64-bootstrap
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU C compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -75,7 +75,7 @@
 Package: g++-mingw-w64
 Architecture: all
 Depends: g++-mingw-w64-i686, g++-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -86,13 +86,13 @@
 
 Package: g++-mingw-w64-i686
 Architecture: any
-Depends: gcc-mingw-w64-i686 (= ${binary:Version}), libstdc++6-4.6-dev (>= ${local:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Depends: gcc-mingw-w64-i686 (= ${binary:Version}), libstdc++-4.8-dev (>= ${local:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Breaks: gcc-mingw-w64 (<< ${split:Version})
+Replaces: gcc-mingw-w64 (<< ${split:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU C++ compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -103,13 +103,13 @@
 
 Package: g++-mingw-w64-x86-64
 Architecture: any
-Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}), libstdc++6-4.6-dev (>= ${local:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}), libstdc++-4.8-dev (>= ${local:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Breaks: gcc-mingw-w64 (<< ${split:Version})
+Replaces: gcc-mingw-w64 (<< ${split:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU C++ compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -121,7 +121,7 @@
 Package: gfortran-mingw-w64
 Architecture: all
 Depends: gfortran-mingw-w64-i686, gfortran-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Description: GNU Fortran compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -135,10 +135,10 @@
 Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Breaks: gcc-mingw-w64 (<< ${split:Version})
+Replaces: gcc-mingw-w64 (<< ${split:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Fortran compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -152,10 +152,10 @@
 Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Breaks: gcc-mingw-w64 (<< ${split:Version})
+Replaces: gcc-mingw-w64 (<< ${split:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Fortran compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -167,7 +167,7 @@
 Package: gobjc-mingw-w64
 Architecture: all
 Depends: gobjc-mingw-w64-i686, gobjc-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Description: GNU Objective-C compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -181,8 +181,8 @@
 Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Objective-C compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -196,8 +196,8 @@
 Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Objective-C compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -209,7 +209,7 @@
 Package: gobjc++-mingw-w64
 Architecture: all
 Depends: gobjc++-mingw-w64-i686, gobjc++-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Description: GNU Objective-C++ compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -223,8 +223,8 @@
 Depends: gobjc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -238,8 +238,8 @@
 Depends: gobjc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -251,7 +251,7 @@
 Package: gnat-mingw-w64
 Architecture: all
 Depends: gnat-mingw-w64-i686, gnat-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
 Description: GNU Ada compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -265,10 +265,10 @@
 Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Breaks: gcc-mingw-w64 (<< ${split:Version})
+Replaces: gcc-mingw-w64 (<< ${split:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Ada compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -282,10 +282,10 @@
 Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-4.6 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.6-locales (>= ${local:Version})
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Breaks: gcc-mingw-w64 (<< ${split:Version})
+Replaces: gcc-mingw-w64 (<< ${split:Version})
+Suggests: gcc-4.8-locales (>= ${local:Version})
 Description: GNU Ada compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -294,4 +294,3 @@
  This package contains the Ada compiler, supporting
  cross-compiling to 64-bit MinGW-w64 targets.
 
-Package: gcc-mingw32
