=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,31 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gcc-mingw-w64 using gcc-4.6-source.
-# Copyright © 2010-2012 Stephen Kitt <steve@sk2.org>
+# Build gcc-mingw-w64 using gcc-4.8-source.
+# Copyright © 2010-2013 Stephen Kitt <steve@sk2.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-target_version := 4.6
+target_version := 4.8
 
 top_dir := $(shell pwd)
 gcc_dir := /usr/src/gcc-$(target_version)
 upstream_dir := $(top_dir)/src
 build_dir := $(top_dir)/build
-stampdir := $(top_dir)/stamp
+stampdir := $(top_dir)/stamps
 source_version := $(shell dpkg-query -W -f="\$${Version}\n" gcc-$(target_version)-source)
 deb_version := $(source_version)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
@@ -35,8 +48,8 @@
 # No hardening support for now
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
 
-CC = gcc-4.6
-CXX = g++-4.6
+CC = gcc-$(target_version)
+CXX = g++-$(target_version)
 CFLAGS = $(shell $(dpkg_buildflags) --get CFLAGS)
 CFLAGS += -Wall
 CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
@@ -86,8 +99,7 @@
 	mv gcc-$(deb_upstream_version) $(upstream_dir)
 	# Apply our extra patches here...
 	# We can't use a separate target for this because the patches
-	# need to be applied before gcc-4.6-source's
-	patch -p0 < debian/patches/mingw-include.patch
+	# need to be applied before gcc-4.8-source's
 	patch -p0 < debian/patches/disable-multilib.patch
 	mkdir -p $(stampdir)
 	touch $@
@@ -121,11 +133,10 @@
 # /usr/lib/gcc rather than /usr/$(target)
 CONFFLAGS += \
 	--enable-version-specific-runtime-libs \
-	--enable-threads=win32 \
+	--enable-threads=posix \
 	--enable-fully-dynamic-string \
-	--enable-sjlj-exceptions
-# libgomp needs pthreads
-#	--enable-libgomp
+	--enable-sjlj-exceptions \
+	--enable-libgomp
 # Languages
 CONFFLAGS += \
 	--enable-languages=$(languages)
@@ -135,15 +146,11 @@
 	--with-plugin-ld
 
 # Patches applied or unapplied after the upstream sources have been
-# unpacked and patched using the gcc-4.6-source package's patches
+# unpacked and patched using the gcc-4.8-source package's patches
 mingw-w64-patch: mingw-w64-patch-stamp
 mingw-w64-patch-stamp: $(patch_stamp)
 	# Remove the patch building libstdc++_pic.a before configuring
 	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
-	# Add extern "C" blocks around intrinsics
-	patch -p1 -d$(upstream_dir) < debian/patches/cpp-intrinsics.patch
-	# Spelling fixes
-	patch -p2 -d$(upstream_dir) < debian/patches/spelling-fixes-code.patch
 	touch $@
 
 configure: configure-stamp
@@ -222,19 +229,3 @@
 	# Move misplaced DLLs and libraries
 	for target in $(targets); do \
 		if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a ]; then \
-			mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)/; \
-		fi; \
-		if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/*.dll ]; then \
-			mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/*.dll $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)/; \
-		fi; \
-	done
-
-	for i in 1 2; do \
-		find $(top_dir)/debian/tmp/ -type d -empty | while read i; do rmdir $$i; done; \
-	done
-
-	touch $@
-
-binary-indep: build-indep
-	dh_testdir
-	dh_testroot
