## gcc-mingw-w64 12

=== debian/changelog ===
gcc-mingw-w64 (12) unstable; urgency=medium

  * Move the Ada packages to a new source package, to reduce the porting
    burden required to make gcc-mingw-w64 available on a new
    architecture (and the packages that build-depend on it).
  * The Windows linker doesn't support build ids, stop trying to enable
    them.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Jan 2014 15:40:32 +0100

gcc-mingw-w64 (11) unstable; urgency=medium

  * Stop building gnat on armhf, it doesn't work currently.
  * Stop installing the plugin development headers, they break the build
    on ia64 and aren't used anywhere.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Jan 2014 08:21:16 +0100
