=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                debhelper (>= 7.0.50~),
                g++-4.8,
                gcc-4.8-source,
-               gnat-4.8,
                libcloog-isl-dev,
                libelf-dev,
                libgmp-dev,
@@ -18,7 +17,7 @@
                mingw-w64-x86-64-dev (>= 3.0~svn5915),
                xz-utils,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gcc/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gcc-mingw-w64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcc-mingw-w64.git;a=summary
@@ -248,49 +247,14 @@
  This package contains the Objective-C++ compiler, supporting
  cross-compiling to 64-bit MinGW-w64 targets.
 
-Package: gnat-mingw-w64
-Architecture: all
-Depends: gnat-mingw-w64-i686, gnat-mingw-w64-x86-64, ${misc:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
-Description: GNU Ada compiler for MinGW-w64
- MinGW-w64 provides a development and runtime environment for 32- and
- 64-bit (x86 and x64) Windows applications using the Windows API and
- the GNU Compiler Collection (gcc).
- .
- This metapackage provides the Ada compiler, supporting
- cross-compiling to 32- and 64-bit MinGW-w64 targets.
-
-Package: gnat-mingw-w64-i686
-Architecture: any
-Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.8-locales (>= ${local:Version})
-Description: GNU Ada compiler for MinGW-w64 targeting Win32
- MinGW-w64 provides a development and runtime environment for 32- and
- 64-bit (x86 and x64) Windows applications using the Windows API and
- the GNU Compiler Collection (gcc).
- .
- This package contains the Ada compiler, supporting
- cross-compiling to 32-bit MinGW-w64 targets.
-
-Package: gnat-mingw-w64-x86-64
-Architecture: any
-Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: gcc-4.8 (= ${gcc:Version})
-Breaks: gcc-mingw-w64 (<< ${split:Version})
-Replaces: gcc-mingw-w64 (<< ${split:Version})
-Suggests: gcc-4.8-locales (>= ${local:Version})
-Description: GNU Ada compiler for MinGW-w64 targeting Win64
- MinGW-w64 provides a development and runtime environment for 32- and
- 64-bit (x86 and x64) Windows applications using the Windows API and
- the GNU Compiler Collection (gcc).
- .
- This package contains the Ada compiler, supporting
- cross-compiling to 64-bit MinGW-w64 targets.
-
+Package: gcc-mingw-w64-base
+Architecture: any
+Depends: ${misc:Depends}
+Built-Using: gcc-4.8 (= ${gcc:Version})
+Description: GNU Compiler Collection for MinGW-w64 (base package)
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This empty package contains the documentation common to all
+ gcc-mingw-w64 packages.
