=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Build gcc-mingw-w64 using gcc-4.8-source.
-# Copyright © 2010-2013 Stephen Kitt <steve@sk2.org>
+# Copyright © 2010-2014 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -121,7 +121,6 @@
 	--enable-shared \
 	--enable-static \
 	--disable-multilib \
-	--enable-linker-build-id \
 	--with-system-zlib \
 	--libexecdir=/$(libexecdir) \
 	--without-included-gettext \
@@ -229,3 +228,5 @@
 	# Move misplaced DLLs and libraries
 	for target in $(targets); do \
 		if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a ]; then \
+			mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)/; \
+		fi; \
