=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/g/gcc-4.8/gcc-4\.8_(.*)\.orig\.tar\.gz
